SessionParameters (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.crypto.tls

## Class SessionParameters

- java.lang.Object
- - org.bouncycastle.crypto.tls.SessionParameters

-     public final class SessionParameters
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SessionParameters.Builder`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `SessionParameters` | `copy()`
    `int` | `getCipherSuite()`
    `short` | `getCompressionAlgorithm()`
    `byte[]` | `getMasterSecret()`
    `Certificate` | `getPeerCertificate()`
    `byte[]` | `getPskIdentity()` Deprecated. Use {@link #getPSKIdentity())
    `byte[]` | `getPSKIdentity()`
    `byte[]` | `getSRPIdentity()`
    `java.util.Hashtable` | `readServerExtensions()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### clear

          public void clear()

    - #### copy

          public SessionParameters copy()

    - #### getCipherSuite

          public int getCipherSuite()

    - #### getCompressionAlgorithm

          public short getCompressionAlgorithm()

    - #### getMasterSecret

          public byte[] getMasterSecret()

    - #### getPeerCertificate

          public Certificate getPeerCertificate()

    - #### getPskIdentity

          public byte[] getPskIdentity()

      Deprecated. Use {@link #getPSKIdentity())

    - #### getPSKIdentity

          public byte[] getPSKIdentity()

    - #### getSRPIdentity

          public byte[] getSRPIdentity()

    - #### readServerExtensions

          public java.util.Hashtable readServerExtensions()
                                                   throws java.io.IOException

      Throws:
        `java.io.IOException`